' ItemPropertyChangedEventArgs.cs by Charles Petzold, December 2008

Imports Microsoft.VisualBasic
Imports System.ComponentModel

Namespace DataLibrary
	Public Class ItemPropertyChangedEventArgs
		Inherits PropertyChangedEventArgs
		Private item_Renamed As Object

		Public Sub New(ByVal item As Object, ByVal propertyName As String)
			MyBase.New(propertyName)
			Me.item_Renamed = item
		End Sub

		Public ReadOnly Property Item() As Object
			Get
				Return item_Renamed
			End Get
		End Property
	End Class

	Public Delegate Sub ItemPropertyChangedEventHandler(ByVal sender As Object, ByVal args As ItemPropertyChangedEventArgs)
End Namespace
