' DataDisplay5Control.xaml.cs by Charles Petzold, 12/08

Imports Microsoft.VisualBasic
Imports System
Imports System.Windows
Imports System.Windows.Controls
Imports DataLibrary

Namespace DataDisplay
	Partial Public Class DataDisplayControl
		Inherits UserControl
		Private dataColl As NotifiableDataCollection

		Public Sub New()
			InitializeComponent()
			Application.Current.MainWindow.Title = "Data Display #5 (Custom ScatterPlot)"
		End Sub

		Public Sub CreateDataCollection(ByVal numPoints As Integer)
			dataColl = New NotifiableDataCollection(numPoints)
		End Sub

		Public Sub AssignDataContext()
			DataContext = dataColl
		End Sub
	End Class
End Namespace
