' DataCollectionPresenter.cs by Charles Petzold, December 2008

Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.ObjectModel

Namespace DataLibrary
	Public Class DataCollectionPresenter
		Public Sub New(ByVal numPoints As Integer)
			DataPoints = New ObservableCollection(Of DataPointPresenter)()
            Dim TempDataRandomizer As New DataRandomizer(Of DataPointPresenter)(DataPoints, numPoints, Math.Min(1, numPoints \ 100))
		End Sub

		Private privateDataPoints As ObservableCollection(Of DataPointPresenter)
		Public Property DataPoints() As ObservableCollection(Of DataPointPresenter)
			Get
				Return privateDataPoints
			End Get
			Set(ByVal value As ObservableCollection(Of DataPointPresenter))
				privateDataPoints = value
			End Set
		End Property
	End Class
End Namespace