' NotifiableDataCollection.cs by Charles Petzold, December 2008

Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.ObjectModel

Namespace DataLibrary
	Public Class NotifiableDataCollection
		Public Sub New(ByVal numPoints As Integer)
			DataPoints = New ObservableNotifiableCollection(Of DataPoint)()
            Dim TempDataRandomizer As New DataRandomizer(Of DataPoint)(DataPoints, numPoints, Math.Min(1, numPoints \ 100))
		End Sub

		Private privateDataPoints As ObservableNotifiableCollection(Of DataPoint)
		Public Property DataPoints() As ObservableNotifiableCollection(Of DataPoint)
			Get
				Return privateDataPoints
			End Get
			Set(ByVal value As ObservableNotifiableCollection(Of DataPoint))
				privateDataPoints = value
			End Set
		End Property
	End Class
End Namespace